## gdb-gef 2024.01

=== tests/requirements.txt ===
pylint
pytest
pytest-cov
pytest-xdist
pytest-benchmark
pytest-forked
coverage
pre-commit
rpyc>=5

=== tests/binaries/Makefile ===
CC              =       gcc
DEBUG           =       1
CFLAGS          +=      -Wall
SOURCES         =       $(wildcard *.c)
SOURCES         +=      $(wildcard *.cpp)
LINKED          =       $(SOURCES:.c=.out)
LINKED          :=      $(LINKED:.cpp=.out)
LDFLAGS         =
EXTRA_FLAGS     =
TMPDIR          ?=      /tmp

ifeq ($(TARGET), i686)
CFLAGS          +=      -m32
endif

ifeq ($(DEBUG), 1)
CFLAGS          +=      -DDEBUG=1 -ggdb -O0
else
CFLAGS          +=      -O1
endif


.PHONY : all clean

all: $(LINKED)


%.out : %.c
	@echo "[+] Building '$(TMPDIR)/$@'"
	@$(CC) $(CFLAGS) $(EXTRA_FLAGS) -o $(TMPDIR)/$@ $? $(LDFLAGS)

%.out : %.cpp
	@echo "[+] Building '$(TMPDIR)/$@'"
	@$(CC) $(CFLAGS) $(EXTRA_FLAGS) -o $(TMPDIR)/$@ $? $(LDFLAGS) -lstdc++

clean :
	@echo "[+] Cleaning stuff"
	@cd $(TMPDIR) && rm -f $(LINKED)

format-string-helper.out: EXTRA_FLAGS := -Wno-format-security

checksec-no-canary.out: EXTRA_FLAGS := -fno-stack-protector

# NOTE: If compiling with a older GCC (older than 4.8.4 maybe?) then use `-fno-pie`
checksec-no-pie.out: EXTRA_FLAGS := -no-pie

checksec-no-nx.out: EXTRA_FLAGS := -z execstack

pattern.out: EXTRA_FLAGS := -D_FORTIFY_SOURCE=0 -fno-stack-protector

canary.out: EXTRA_FLAGS := -fstack-protector-all

heap-non-main.out heap-tcache.out heap-multiple-heaps.out: EXTRA_FLAGS := -pthread

heap-bins.out: EXTRA_FLAGS := -Wno-unused-result

default.out: EXTRA_FLAGS := -fstack-protector-all -fpie -pie

=== debian/changelog ===
gdb-gef (2024.01-1parrot1) stable; urgency=medium

  * New upstream version 2024.01

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 21 Mar 2024 11:41:42 +0700

gdb-gef (2023.08-0parrot3) parrot-updates; urgency=medium

  * Change the build script to online version

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 29 Oct 2023 09:11:37 +0700

gdb-gef (2023.08-0parrot2) parrot-updates; urgency=medium

  * Add CI build

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 27 Oct 2023 06:49:55 +0700

gdb-gef (2023.08-0parrot1) parrot-updates; urgency=medium

  * New upstream version 2023.08

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 02 Sep 2023 18:19:08 +0700

gdb-gef (2023.06-0parrot1) parrot-updates; urgency=medium

  * New upstream version 2023.06

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 05 Jun 2023 20:42:50 +0700

gdb-gef (2022.06-0parrot1) parrot-updates; urgency=medium

  * New upstream version 2022.06

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 09 Aug 2022 03:15:14 +0700

gdb-gef (2022.01-0parrot1) parrot-updates; urgency=medium

  * New upstream version 2022.01

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 17 Feb 2022 01:44:40 +0700

gdb-gef (2021.10-0parrot2) rolling; urgency=medium

  * Remove launcher
  * Correct location of helper-scripts

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 29 Oct 2021 22:06:18 +0700

gdb-gef (2021.10-0parrot1) rolling-testing; urgency=medium

  * New upstream version 2021.10

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 17 Oct 2021 16:03:59 +0700

gdb-gef (2021.07-0parrot2) rolling; urgency=medium

  * Fix wrong email name
  * Add dependencies to recommends

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 13 Jul 2021 08:09:45 +0700

gdb-gef (2021.07-0parrot1) rolling-testing; urgency=medium

  * New upstream version 2021.07

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 11 Jul 2021 12:48:37 +0700

gdb-gef (2021.04-0parrot1) rolling-testing; urgency=medium

  * New upstream version 2021.04

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 12 Apr 2021 08:02:56 +0700

gdb-gef (2021.01-parrot1) rolling-testing; urgency=medium

  * Fix compile error of defualt test

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 14 Mar 2021 02:43:16 +0700

gdb-gef (2021.01-parrot0) rolling-testing; urgency=medium

  [ dmknght ]
  * Import Upstream version 2020.07

  [ Nong Hoang Tu ]
  * New upstream version 2021.01

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 27 Jan 2021 16:54:11 +0000

gdb-gef (2020.07-parrot3) rolling-testing; urgency=medium

  * Add watch file

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 18 Dec 2020 15:08:12 +0000

gdb-gef (2020.07-parrot2) rolling-testing; urgency=medium

  * Fix typo in installation path

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 01 Dec 2020 15:35:08 +0700

gdb-gef (2020.07-parrot1) rolling-testing; urgency=medium

  * Add launcher
  * Add bash script to start gdb-gef
  * Fix description
  * Patched missing package message (tell user install package from apt repo)

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 01 Dec 2020 15:32:09 +0700

gdb-gef (2020.07-parrot0) rolling-testing; urgency=medium

  * Initial release

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 01 Dec 2020 14:51:07 +0700

=== debian/control ===
Source: gdb-gef
Section: devel
Priority: optional
Maintainer: Parrot Team <team@parrotsec.org>
Uploaders: Nong Hoang Tu <dmknght@parrotsec.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://gef.readthedocs.io/en/master/
#Vcs-Browser: https://salsa.debian.org/debian/gdb-gef
#Vcs-Git: https://salsa.debian.org/debian/gdb-gef.git
Rules-Requires-Root: no

Package: gdb-gef
Architecture: any
Depends: gdb, python3
Recommends: python3-keystone-engine, python3-unicorn, python3-capstone, ropper
Description: GDB Enchanced Features for exploit develpoment
 GEF (pronounced ʤɛf - "Jeff") is a set of commands for x86/64,
 ARM, MIPS, PowerPC and SPARC to assist exploit developers and
 reverse-engineers when using old school GDB. It provides
 additional features to GDB using the Python API to assist
 during the process of dynamic analysis and exploit development.
 Application developers will also benefit from it, as GEF lifts
 a great part of regular GDB obscurity, avoiding repeating
 traditional commands, or bringing out the relevant information
 from the debugging runtime.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_install:
	mkdir -p debian/gdb-gef/usr/bin/
	mkdir -p debian/gdb-gef/usr/share/gdb-gef/
	mkdir -p debian/gdb-gef/usr/share/applications/
	install -m 0755 debian/helper-scripts/gdb-gef debian/gdb-gef/usr/bin/
	install -m 0644 gef.py debian/gdb-gef/usr/share/gdb-gef/

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/hugsy/gef/tags .*/(.+)\.tar\.gz
